cURL
curl --request PATCH \
--url https://app.example.com/v1/admin/distribution/product-mappings/<id> \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"channelId": "<string>",
"productId": "<string>",
"externalProductId": "<string>",
"externalRateId": "<string>",
"externalCategoryId": "<string>",
"active": true
}'const response = await fetch("https://app.example.com/v1/admin/distribution/product-mappings/<id>", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
},
body: JSON.stringify({
"channelId": "<string>",
"productId": "<string>",
"externalProductId": "<string>",
"externalRateId": "<string>",
"externalCategoryId": "<string>",
"active": true
}),
});
const data = await response.json();import requests
response = requests.patch(
"https://app.example.com/v1/admin/distribution/product-mappings/<id>",
headers={
"Authorization": "Bearer <token>"
},
json={
"channelId": "<string>",
"productId": "<string>",
"externalProductId": "<string>",
"externalRateId": "<string>",
"externalCategoryId": "<string>",
"active": True
}
)
data = response.json()
{
"data": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}Distribution
Update a product mapping
Patch a product mapping.
PATCH
/
v1
/
admin
/
distribution
/
product-mappings
/
{id}
cURL
Authorizations
Staff session or API token issued by your Voyant app.
Path Parameters
Body
application/json
Response
Updated mapping
⌘I